
QGIS Application - Feature request #2605

Merge shapes for fTools

2010-03-29 11:13 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12665

Description

Here is a patch which adds a new "Merge shapes" tool to the fTools. New tool is usefull when you need to merge a lot of shapefiles to

another one.

In attachment you find patch and icon for this new tool (default theme).

History

#1 - 2010-03-29 11:33 AM - Giovanni Manghi

great!

if/when this will be committed then you can also close #1866

Alex, may I ask you what approach did you used for the tool (see #1866)?

Cheers

#2 - 2010-03-29 11:44 AM - Alexander Bruy

Replying to [comment:2 lutra]:

great!

if/when this will be committed then you can also close #1866

Alex, may I ask you what approach did you used for the tool (see #1866)?

I use approach similar with ogr2ogr: layers must be with identical attribute tables. But in future I want to extend this tool for working with layers with

different attribute tables

#3 - 2010-03-30 01:44 AM - cfarmer -

lutra,

This patch has not yet been applied in trunk (will be as soon as I have some time to test it).

Could you please clarify the above change, or is this just a matter of changing the priority type to something a bit more appropriate?

Thanks,

Carson
#4 - 2010-03-30 01:39 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:febbca56 (SVN r13205).

Thanks Alexander Bruy for another useful patch!

Carson

Files

merge_shapes.tar.bz2 8.34 KB 2010-03-29 Alexander Bruy
